Create a User
Create a new user or service account in the specified organization.
Required permission:
- user.write
Request Body
application/json
The unique identifier of the organization the user belongs to.
The ID is a unique identifier for the user in the instance. If not specified, it will be generated. You can set your own user id that is unique within the instance. This is useful in migration scenarios, for example if the user already has an ID in another Zitadel system. If not specified, it will be generated. It can't be changed after creation.
The username is a unique identifier for the user in the organization. If not specified, Zitadel sets the username to the email for user and to the user_id for Service Accounts. It is used to identify the user in the organization and can be used for login.
Metadata to be set. The values have to be base64 encoded.
Users of type human are users that are meant to be used by a person. They can log in interactively using a login UI. By default, new users will receive a verification email and, if a phone is configured, a verification SMS. To make sure these messages are sent, configure and activate valid SMTP and Twilio configurations. Read more about your options for controlling this behaviour in the email and phone field documentations.
Response Body
application/json
curl -X POST "https://loading/v2/users/new" \ -H "Content-Type: application/json" \ -d '{ "human": { "hashedPassword": { "hash": "string" } } }'{
"id": "string",
"creationDate": "2023-01-15T01:30:15.01Z",
"emailCode": "string",
"phoneCode": "string"
}Was this page helpful?
Create a passkey registration link for a user
Create a passkey registration link for a user: Create a passkey registration link which includes a code and either return it or send it to the user..
Create an invite code for a user
Create an invite code for a user to initialize their first authentication method (password, passkeys, IdP) depending on the organization's available methods. If an invite code has been created prev...